Bug 10826 - Using SFU id mapping fails for users from a trusted domain
Using SFU id mapping fails for users from a trusted domain
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-19 22:43 UTC by Christof Schmitt
Modified: 2014-09-29 18:05 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.1, cherry-picked from master (1.53 KB, patch)
2014-09-19 22:46 UTC, Christof Schmitt
cs: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2014-09-19 22:43:36 UTC
The LDAP connection to query the uid and gid attributes is established
to a DC in the local domain instead of a DC in the trusted domain.
Comment 1 Christof Schmitt 2014-09-19 22:46:14 UTC
Created attachment 10299 [details]
Patch for 4.1, cherry-picked from master
Comment 2 Jeremy Allison 2014-09-19 23:09:24 UTC
Comment on attachment 10299 [details]
Patch for 4.1, cherry-picked from master

LGTM.
Comment 3 Jeremy Allison 2014-09-19 23:09:44 UTC
Re-assigning to Karolin for inclusion in 4.1.next.
Comment 4 Karolin Seeger 2014-09-27 18:00:26 UTC
Pushed to autobuild-v4-1-test.
Comment 5 Karolin Seeger 2014-09-29 18:05:16 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!